Subject: bug#22145: 25.0.50; tramp and auto-revert tests hang on OS X

From: Random832 <[email-masked]>
Date: Fri, 08 Jan 2016 12:40:38 -0500

On Fri, Jan 8, 2016, at 09:17, Michael Albinus wrote:
> But IIUC correctly, this touches only local file names and how they are
> handled in Emacs. Tramp works on the remote side.

The point is, the filenames (the remote filenames if the remote is OSX)
will have the decomposed characters, and therefore may not match if the
tests are expecting ls to come back with the composed ones. Tramp may
need to get some way to specify a filesystem encoding for the remote
host even where that may differ from the local filesystem.

If you're getting issues with the Chinese name, though, this probably
isn't the issue (or at least isn't the only issue).